Bug 111863 - FILESAVE: Fade out animation in PPTX turns into fade in after roundtrip
Summary: FILESAVE: Fade out animation in PPTX turns into fade in after roundtrip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Aron Budea
URL:
Whiteboard: target:6.0.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX Custom-Animations
  Show dependency treegraph
 
Reported: 2017-08-16 15:21 UTC by Aron Budea
Modified: 2017-09-18 14:57 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Sample PPTX (29.80 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-08-16 15:21 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-08-16 15:21:22 UTC
Created attachment 135591 [details]
Sample PPTX

Open the attached PPTX (created by PowerPoint) with Impress, and save it again as PPTX.
The fade out animation is shown correctly as the file is opened for the first time.

Upon reopen and playing the slideshow, however, the shape fades in instead of out (but disappears at the end, just the fade animation is wrong). Same when played in PowerPoint.

Observed using LO 6.0 daily build (2017-08-11_06:44:17, 46b4eb8b0e9325f8c29cd391baf9504bccee1837) & 4.0.0.3 / Windows 7.
Comment 1 Commit Notification 2017-09-18 14:36:19 UTC
Aron Budea committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1ea4496f3b2defaf51391e816d159717c55f2929

tdf#111863: Animations turned from out to in during PPTX export

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.